Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81481 - mediacheck won't validate discs over 4 GB
Summary: mediacheck won't validate discs over 4 GB
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 20:28 UTC by Forrest
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-22 21:51:43 UTC


Attachments (Terms of Use)

Description Forrest 2003-01-09 20:28:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021127

Description of problem:
Using mediacheck to check the validity of discs (DVD) over 4 GB will not work. 
Their md5sums match, but mediacheck says that it FAILs.

Discs at 3.2 and 3.9 GB have been verified using mediacheck, but not over 4 GB.

Version-Release number of selected component (if applicable):
anaconda-8.0-4

How reproducible:
Always

Steps to Reproduce:
1.  Create a disc that is > 4 GB
2.  Use implantisomd5 to implant the md5
3.  Use the mediacheck boot flag to check the image.
    

Actual Results:  Mediacheck will say that the disc fails, even though it is a
good disc, and the real md5sums match.

Comment 1 Michael Fulbright 2003-01-22 21:51:43 UTC
Fixed in CVS:

It was stupid - a variable that should have been long long wasnt.

Here is the diff if you'd like to compile implantisomd5.c yourself (its all you
need to change):

--- implantisomd5.c     28 Aug 2002 02:54:04 -0000      1.5
+++ implantisomd5.c     22 Jan 2003 21:46:05 -0000
@@ -95,10 +95,9 @@
     int forceit=0;
     int supported=0;
     int help=0;
-    long long isosize;
+    long long isosize, total;
     const char **args;
     unsigned char md5sum[16];
-    unsigned int total;
     unsigned int loc;
     unsigned char *fname;
     unsigned char buf[2048];



Note You need to log in before you can comment on or make changes to this bug.